UPDATE TMDLORNEKDOSYATUR SET AKTIF = 1 WHERE MDLORNEKDOSYATURKOD = 91

GO

DECLARE @SUBEID INT

DECLARE sube_cursor CURSOR FOR
SELECT DISTINCT SUBEID
FROM subeler

OPEN sube_cursor
FETCH NEXT FROM sube_cursor INTO @SUBEID

WHILE @@FETCH_STATUS = 0
BEGIN
    -- MDLORNEKDOSYATURKOD = 91 var mı diye kontrol et
    IF NOT EXISTS (SELECT 1
                   FROM TMDLORNEKDOSYATUR
                   WHERE SUBEID = @SUBEID
                     AND MDLORNEKDOSYATURKOD = 91)
    BEGIN
        -- Yoksa yeni kayıt ekle
        INSERT INTO TMDLORNEKDOSYATUR (MDLORNEKDOSYATURKOD, MDLORNEKDOSYATURAD, AKTIF, SUBEID)
        SELECT 91, '112 Acil Komuta Merkezi Başvuru Belgesi', 1, @SUBEID
    END

    FETCH NEXT FROM sube_cursor INTO @SUBEID
END

CLOSE sube_cursor
DEALLOCATE sube_cursor